﻿namespace TestLibrary
{
    /// <summary>
    /// 회색조 색상 맵
    /// </summary>
    public class GrayscaleColorMap : IColorMap
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region RGB 구하기 - GetRGB(value)

        /// <summary>
        /// RGB 구하기
        /// </summary>
        /// <param name="value">값</param>
        /// <returns>RGB</returns>
        public (byte r, byte g, byte b) GetRGB(byte value)
        {
            return (value, value, value);
        }

        #endregion
    }
}