﻿namespace TestLibrary
{
    /// <summary>
    /// 색상 맵 인터페이스
    /// </summary>
    public interface IColorMap
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region RGB 구하기 - GetRGB(value)

        /// <summary>
        /// RGB 구하기
        /// </summary>
        /// <param name="value">값</param>
        /// <returns>RGB 튜플</returns>
        (byte r, byte g, byte b) GetRGB(byte value);

        #endregion
    }
}